import React from 'react';
import {Table, Button} from 'semantic-ui-react';

const SetListItem = ({ i18n, data, openModal, delData, bmctl, runbmctl }) => {

    return (
        <Table.Row>
            <Table.Cell>
                <Button content="修改" basic onClick={()=>openModal('ipmi', 1, data)} />
                <Button content="刪除" basic onClick={()=>delData('ipmi', data.ipmuid)} />
                <Button content="ShowInfo" basic onClick={()=>openModal('ipmiinfo', 0, {id: data.ipmuid})} />
            </Table.Cell>
            <Table.Cell>
                {
                    bmctl.map((t,idx) => (
                        <Button key={idx} content={t.name} type="button" onClick={()=>runbmctl(t.uid, data.ipmuid)} />
                    ))
                }
            </Table.Cell>
            <Table.Cell>{data.ip}</Table.Cell>
            <Table.Cell>{data.account}</Table.Cell>
            <Table.Cell>{data.mac}</Table.Cell>
        </Table.Row>
    )
}

export default SetListItem;